#!/usr/bin/env python3

import subprocess
import sys
import time


vm_name, user_name, user_pw = ("Ubuntu-14.04.5-amd64", "albert", "albert")
def run_vm_cmd():
    pout = ''
    perr = ''

    cmd = ["vboxmanage", "guestcontrol", vm_name, "run", "/bin/ls", "--username", user_name, "--password", user_pw, "--", "-l", "/home"]
    proc = subprocess.Popen(cmd, stdout=subprocess.PIPE, stderr=subprocess.PIPE, universal_newlines=True)
    pout, perr = proc.communicate()
    rc = proc.returncode
    if rc != 0:
        print('Got error code: rc = ' + str(rc) + ' trying to issue cmd: ' + str(cmd))
        print('POUT:-------------------------')
        print(pout)
        print('PERR:-------------------------')
        print(perr)
        sys.exit(10)

    return pout, perr

start_time = time.monotonic()
count = 0

while True:
    pout, perr = run_vm_cmd()
    elapsed_time = time.monotonic() - start_time
    print("[%06d]"%count, time.strftime("[%H:%M:%S]", time.gmtime(elapsed_time)), "Normal return:")
#   if pout:
#       print('POUT:-------------------------')
#       print(pout)
#   if perr:
#       print('PERR:-------------------------')
#       print(perr)
    time.sleep(3.0) # time in seconds
    count += 1


